<?php
/*********************************************************      
 程序说明：         
    功能说明：话务查询条件选择

    调用关系：调用:header.inc     
              被调用:      
 
    变量说明：
     返回值：无

 作者：Cui Ticun  2004-12-14    
      
修改注释：      
NO.1      
姓名：            
时间：      
修改说明：      
*********************************************************/  
require("../../inc/header.inc");
?>
<body leftmargin="15" rightmargin="10" onload="javascript:adjust_frame('up');" onresize="javascript:adjust_frame('up');" style="overflow:hidden;overflow-x:hidden;overflow-y:hidden;">
<form method="post" name="selectform" id="selectform" action="dataQueryDown.php" >  

<?php
adjust_head_frame("up");
adjust_title_head_frame("up");

$sysTypeNo=311;

switch($sysTypeNo){
	case '311':
		$helpId = "3.8";
		$callTypeDefArr=array('PPS','MSC','Invalid Calls');
		break;
	default:
		echo "Can not support this sysTypeNo($sysTypeNo)";
		exit();
}

?>

<base target="main">

<script language="javascript">
function showReportPage(){
	var url,sel_date;
	sel_date=document.selectform.sel_date.value;
	url="./dataQueryDown.php?sel_date="+sel_date;
	window.parent.main.location.href=url;
}
</script>



<?php
//page title and help
echo "<table id=\"table_up\" border=\"0\" width=\"100%\">";
echo "<tr>";
echo "<td width=\"50%\">";
echo "Performance > AAS > Query";
echo "</td>";
echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
showHelp($helpId);
echo "</td>";
echo "</tr>";
echo "<tr>";
echo "<td align=\"left\">";

echo "<select name=\"sel_date\" size=1 onChange=\"javascript:showReportPage()\">";	
for($i=7;$i >= 0;$i--){
	$dayStr=date("Y-m-d",mktime(0,0,0,date("m"),date("d")-$i,date("Y")));
	if($date == $dayStr){
		echo "<option value=\"$dayStr\" selected>$dayStr</option> ";
	}elseif($i == 0 && !isset($date)){
		echo "<option value=\"$dayStr\" selected>$dayStr</option> ";
		$date=$dayStr;
	}else{
		echo "<option value=\"$dayStr\">$dayStr</option> ";
	}
}
echo "</select>";

echo "</td>";
echo "<td align=\"right\">";

echo "</td>";
echo "</tr>";
echo "</table>";
adjust_title_tail_frame("up");
adjust_content_head_frame("up");
adjust_content_tail_frame("up");
?>
</form>                
</body>               
</html>  
